Package com.arms.api.util.filerepository.controller

## Class FileRepositoryController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<FileRepository,​FileRepositoryDTO,​FileRepositoryEntity>
  - - com.arms.api.util.filerepository.controller.FileRepositoryController

-     @Controller
      @RequestMapping("/arms/fileRepository")
      public class FileRepositoryController
      extends TreeAbstractController<FileRepository,​FileRepositoryDTO,​FileRepositoryEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileRepositoryController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.web.servlet.ModelAndView` | `deleteFileByNode​(java.lang.Long fileId, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `void` | `downloadFile​(java.lang.Long fileId, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
    `org.springframework.web.servlet.ModelAndView` | `getFilesByNode​(FileRepositoryDTO fileRepositoryDTO, javax.servlet.http.HttpServletRequest request)` |
    `void` | `initialize()` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileRepositoryController

          public FileRepositoryController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### getFilesByNode

          @ResponseBody
          @RequestMapping(value="/getFilesByNode.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getFilesByNode​(FileRepositoryDTO fileRepositoryDTO,
                                                                             javax.servlet.http.HttpServletRequest request)
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### deleteFileByNode

          @ResponseBody
          @RequestMapping(value="/deleteFileByNode/{fileId}",
                          method=POST)
          public org.springframework.web.servlet.ModelAndView deleteFileByNode​(@PathVariable("fileId")
                                                                               java.lang.Long fileId,
                                                                               org.springframework.ui.ModelMap model,
                                                                               javax.servlet.http.HttpServletRequest request)
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### downloadFile

          @RequestMapping(value="/downloadFileByNode/{fileId}",
                          method=GET)
          public void downloadFile​(@PathVariable("fileId")
                                   java.lang.Long fileId,
                                   javax.servlet.http.HttpServletRequest request,
                                   javax.servlet.http.HttpServletResponse response)
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`